package com.tzld.piaoquan.growth.common.model.po;

import java.util.Date;

public class GhDetail {
    private Long id;

    private String ghId;

    private String ghName;

    private Integer type;

    private String category1;

    private String category2;

    private Integer isDelete;

    private Date createTime;

    private Date updateTime;

    private String channel;

    private String videoIds;

    private Integer strategyStatus;

    private Integer autoreplySendMinigramNum;

    private String rate;

    private String contentDetail;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getGhId() {
        return ghId;
    }

    public void setGhId(String ghId) {
        this.ghId = ghId;
    }

    public String getGhName() {
        return ghName;
    }

    public void setGhName(String ghName) {
        this.ghName = ghName;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getCategory1() {
        return category1;
    }

    public void setCategory1(String category1) {
        this.category1 = category1;
    }

    public String getCategory2() {
        return category2;
    }

    public void setCategory2(String category2) {
        this.category2 = category2;
    }

    public Integer getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getChannel() {
        return channel;
    }

    public void setChannel(String channel) {
        this.channel = channel;
    }

    public String getVideoIds() {
        return videoIds;
    }

    public void setVideoIds(String videoIds) {
        this.videoIds = videoIds;
    }

    public Integer getStrategyStatus() {
        return strategyStatus;
    }

    public void setStrategyStatus(Integer strategyStatus) {
        this.strategyStatus = strategyStatus;
    }

    public Integer getAutoreplySendMinigramNum() {
        return autoreplySendMinigramNum;
    }

    public void setAutoreplySendMinigramNum(Integer autoreplySendMinigramNum) {
        this.autoreplySendMinigramNum = autoreplySendMinigramNum;
    }

    public String getRate() {
        return rate;
    }

    public void setRate(String rate) {
        this.rate = rate;
    }

    public String getContentDetail() {
        return contentDetail;
    }

    public void setContentDetail(String contentDetail) {
        this.contentDetail = contentDetail;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", ghId=").append(ghId);
        sb.append(", ghName=").append(ghName);
        sb.append(", type=").append(type);
        sb.append(", category1=").append(category1);
        sb.append(", category2=").append(category2);
        sb.append(", isDelete=").append(isDelete);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", channel=").append(channel);
        sb.append(", videoIds=").append(videoIds);
        sb.append(", strategyStatus=").append(strategyStatus);
        sb.append(", autoreplySendMinigramNum=").append(autoreplySendMinigramNum);
        sb.append(", rate=").append(rate);
        sb.append(", contentDetail=").append(contentDetail);
        sb.append("]");
        return sb.toString();
    }
}